import 'package:leancloud_storage/leancloud.dart';
import 'dart:io';

//版本更新
class APIPackageUpdate {

  static getPackageUpdate(
      {Function(List<LCObject>) onSucc, Function(String) onFail}) async {
    try {
      LCQuery query = LCQuery('PackageUpdate');
      bool isIOS = Platform.isIOS;
      query.whereStartsWith('platform', isIOS == true ? 'ios' : 'android');
      List<LCObject> datas = await query.find();
      if (onSucc != null) onSucc(datas);
    } on LCException catch (_) {
      if (onFail != null) onFail('数据获取失败');
    }
  }
}